Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaqtl.graph
Class MetaGraphPar

    java.lang.Object
      org.metaqtl.graph.MetaGraphPar

    public final class MetaGraphPar

extends java.lang.Object

Field Summary
`static java.awt.Color` | `BACKGROUND_COLOR` The color of the backgroud.
`static int` | `CHROM_ALIGN_MODE`
`static double` | `CHROM_DISTANCE_SCALE`
`static double` | `CHROM_FLANKING_CEX` The default cex parameter for flanking regions at the top and the end of the chromosome.
`static java.awt.Font` | `CHROM_NAME_FONT`
`static double` | `CHROM_NAME_HSPACE`
`static java.awt.Stroke` | `CHROM_STROKE` The stroke of the chromosome shape.
`static java.awt.Color` | `CHROM_STROKE_COLOR` The color of the stroke of the Chromosome shape.
`static java.awt.Color` | `CHROM_TICK_COLOR` The color of the marker ticks on the chromosome.
`static java.awt.Stroke` | `CHROM_TICK_STROKE`
`static double` | `CHROM_TICK_WIDTH_1` The width of the marker ticks.
`static double` | `CHROM_TICK_WIDTH_2`
`static double` | `CHROM_TICK_WIDTH_3`
`static double` | `CHROM_WIDTH` The width of the chromosome.
`static double` | `COMMON_STROKE_WIDTH`
`static double` | `DEFAULT_HEIGHT` The default height.
`static double` | `DEFAULT_WIDTH` The default width.
`static double` | `LAYER_HSPACE` The horizontal space between layers.
`static double` | `LAYER_VSPACE` The vertical space between layers.
`static double` | `LEGEND_BOX_CEX`
`static java.awt.Font` | `LEGEND_FONT`
`static double` | `LEGEND_GRAD_HEIGHT`
`static double` | `LEGEND_GRAD_WIDTH`
`static double` | `LEGEND_HSPACE`
`static double` | `LEGEND_PART_HEIGHT`
`static double` | `LEGEND_PART_WIDTH`
`static int` | `LEGEND_SCALE_UNIT`
`static double` | `MAKER_NAME_VSPACE`
`static java.awt.Font` | `MARKER_NAME_FONT`
`static java.awt.Font` | `MARKER_POSITION_FONT`
`static java.awt.Color` | `NEG_COMMON_COLOR`
`static java.awt.Color` | `POS_COMMON_COLOR`
`static int` | `PROBA_BIN`
`static java.awt.Color` | `PROBA_FROM_COLOR`
`static java.awt.Color[]` | `PROBA_PALETTE`
`static java.awt.Color` | `PROBA_TO_COLOR`
`static double` | `QTL_CI_WIDTH`
`static double` | `QTL_CI_WIDTH_CEX`
`static double` | `QTL_HSPACE` The horizontal space between Qtl shapes.
`static java.awt.Color` | `QTL_NAME_COLOR` The color of the QTL names.
`static java.awt.Font` | `QTL_NAME_FONT` The font used for the Qtl names.
`static double` | `QTL_NAME_SPACE`
`static double` | `QTL_NAME_VSPACE_CEX` The space magnification between the Qtl name and the Qtl confidence interval.
`static java.awt.Color[]` | `QTL_PALETTE` The color palete for the QTL partition.
`static double` | `QTL_PCH_SIZE`
`static double` | `QTL_POS_HEIGHT_CEX`
`static double` | `QTL_POS_WIDTH_CEX`
`static double` | `QTL_PROB_WIDTH`
`static double` | `QTL_TICK_WIDTH_CEX` The magnification for the tick of the QTL.
`static double` | `QTL_TREE_SCALE`
`static double` | `QTL_TREE_SPACE`
`static double` | `QTL_VSPACE` The vertical space between Qtl shapes.
`static java.awt.Color` | `SINGLE_COMMON_COLOR`
`static double` | `TREE_NODE_WIDTH`
`static boolean` | `WITH_CHROM_NAME`
`static boolean` | `WITH_COMMON_MARKER`
`static boolean` | `WITH_LEGEND`
`static boolean` | `WITH_MAP_NAME`
`static boolean` | `WITH_MARKER_NAME`
`static boolean` | `WITH_MARKER_POSITION`
`static boolean` | `WITH_QTL_NAME` Add the Qtl name.

Method Summary
`static java.lang.String` | `color2string(java.awt.Color color)`
`static java.lang.String` | `font2string(java.awt.Font font)`
`static java.awt.Color` | `getProbaColor(double d)`
`static java.awt.Color` | `getProbaColor(double d, double thresh)`
`static void` | `initPalettes()`
`static void` | `initProbaPalette()`
`static void` | `initQTLPalette()`
`static void` | `initQTLPalette(int n)`
`static void` | `set(java.lang.String parameter, java.lang.String value)`
`static java.awt.Color` | `string2color(java.lang.String value)`
`static java.awt.Font` | `string2font(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LAYER_HSPACE

    public static double LAYER_HSPACE

  The horizontal space between layers.

### LAYER_VSPACE

    public static double LAYER_VSPACE

  The vertical space between layers.

### DEFAULT_WIDTH

    public static double DEFAULT_WIDTH

  The default width.

### DEFAULT_HEIGHT

    public static double DEFAULT_HEIGHT

  The default height.

### BACKGROUND_COLOR

    public static java.awt.Color BACKGROUND_COLOR

  The color of the backgroud. Default is white.

### QTL_VSPACE

    public static double QTL_VSPACE

  The vertical space between Qtl shapes. Default is 5.0

### QTL_HSPACE

    public static double QTL_HSPACE

  The horizontal space between Qtl shapes. Default is 5.0

### QTL_TREE_SPACE

    public static double QTL_TREE_SPACE

### TREE_NODE_WIDTH

    public static double TREE_NODE_WIDTH

### WITH_QTL_NAME

    public static boolean WITH_QTL_NAME

  Add the Qtl name. Default is true

### QTL_NAME_FONT

    public static java.awt.Font QTL_NAME_FONT

  The font used for the Qtl names. Default is Times with type plain and size 8.

### MARKER_NAME_FONT

    public static java.awt.Font MARKER_NAME_FONT

### MARKER_POSITION_FONT

    public static java.awt.Font MARKER_POSITION_FONT

### CHROM_NAME_FONT

    public static java.awt.Font CHROM_NAME_FONT

### QTL_NAME_COLOR

    public static java.awt.Color QTL_NAME_COLOR

  The color of the QTL names. Default is black

### QTL_NAME_VSPACE_CEX

    public static double QTL_NAME_VSPACE_CEX

  The space magnification between the Qtl name and the Qtl confidence interval.

### WITH_MAP_NAME

    public static boolean WITH_MAP_NAME

### WITH_CHROM_NAME

    public static boolean WITH_CHROM_NAME

### QTL_PCH_SIZE

    public static double QTL_PCH_SIZE

### WITH_LEGEND

    public static boolean WITH_LEGEND

### QTL_TICK_WIDTH_CEX

    public static double QTL_TICK_WIDTH_CEX

  The magnification for the tick of the QTL.

### QTL_PALETTE

    public static java.awt.Color[] QTL_PALETTE

  The color palete for the QTL partition. Default is null.

### PROBA_PALETTE

    public static java.awt.Color[] PROBA_PALETTE

### PROBA_BIN

    public static int PROBA_BIN

### CHROM_WIDTH

    public static double CHROM_WIDTH

  The width of the chromosome. Default is 20.0

### QTL_CI_WIDTH

    public static double QTL_CI_WIDTH

### CHROM_NAME_HSPACE

    public static double CHROM_NAME_HSPACE

### WITH_MARKER_NAME

    public static boolean WITH_MARKER_NAME

### CHROM_ALIGN_MODE

    public static int CHROM_ALIGN_MODE

### WITH_MARKER_POSITION

    public static boolean WITH_MARKER_POSITION

### CHROM_FLANKING_CEX

    public static double CHROM_FLANKING_CEX

  The default cex parameter for flanking regions at the top and the end of the chromosome.

### CHROM_STROKE

    public static java.awt.Stroke CHROM_STROKE

  The stroke of the chromosome shape. Default is `BasicStroke`

### CHROM_TICK_STROKE

    public static java.awt.Stroke CHROM_TICK_STROKE

### MAKER_NAME_VSPACE

    public static double MAKER_NAME_VSPACE

### CHROM_STROKE_COLOR

    public static java.awt.Color CHROM_STROKE_COLOR

  The color of the stroke of the Chromosome shape. Default is black.

### CHROM_TICK_WIDTH_1

    public static double CHROM_TICK_WIDTH_1

  The width of the marker ticks.

### CHROM_TICK_WIDTH_2

    public static double CHROM_TICK_WIDTH_2

### CHROM_TICK_WIDTH_3

    public static double CHROM_TICK_WIDTH_3

### QTL_POS_HEIGHT_CEX

    public static double QTL_POS_HEIGHT_CEX

### QTL_POS_WIDTH_CEX

    public static double QTL_POS_WIDTH_CEX

### CHROM_TICK_COLOR

    public static java.awt.Color CHROM_TICK_COLOR

  The color of the marker ticks on the chromosome. Default is black.

### QTL_NAME_SPACE

    public static double QTL_NAME_SPACE

### CHROM_DISTANCE_SCALE

    public static double CHROM_DISTANCE_SCALE

### QTL_CI_WIDTH_CEX

    public static double QTL_CI_WIDTH_CEX

### QTL_PROB_WIDTH

    public static double QTL_PROB_WIDTH

### LEGEND_FONT

    public static java.awt.Font LEGEND_FONT

### LEGEND_PART_HEIGHT

    public static double LEGEND_PART_HEIGHT

### LEGEND_PART_WIDTH

    public static double LEGEND_PART_WIDTH

### LEGEND_HSPACE

    public static double LEGEND_HSPACE

### LEGEND_BOX_CEX

    public static double LEGEND_BOX_CEX

### LEGEND_SCALE_UNIT

    public static int LEGEND_SCALE_UNIT

### WITH_COMMON_MARKER

    public static boolean WITH_COMMON_MARKER

### PROBA_FROM_COLOR

    public static java.awt.Color PROBA_FROM_COLOR

### PROBA_TO_COLOR

    public static java.awt.Color PROBA_TO_COLOR

### SINGLE_COMMON_COLOR

    public static java.awt.Color SINGLE_COMMON_COLOR

### POS_COMMON_COLOR

    public static java.awt.Color POS_COMMON_COLOR

### NEG_COMMON_COLOR

    public static java.awt.Color NEG_COMMON_COLOR

### COMMON_STROKE_WIDTH

    public static double COMMON_STROKE_WIDTH

### LEGEND_GRAD_HEIGHT

    public static double LEGEND_GRAD_HEIGHT

### LEGEND_GRAD_WIDTH

    public static double LEGEND_GRAD_WIDTH

### QTL_TREE_SCALE

    public static double QTL_TREE_SCALE

Method Detail

### set

    public static void set(java.lang.String parameter,
                           java.lang.String value)
                    throws java.lang.IllegalArgumentException

  Parameters:
    `parameter` -
    `value` -
  Throws:
    `java.lang.IllegalArgumentException`

### string2color

    public static java.awt.Color string2color(java.lang.String value)

  Parameters:
    `value` -
  Returns:

### color2string

    public static java.lang.String color2string(java.awt.Color color)

### string2font

    public static java.awt.Font string2font(java.lang.String value)

  Parameters:
    `value` -
  Returns:

### font2string

    public static java.lang.String font2string(java.awt.Font font)

  Parameters:
    `font` -
  Returns:

### getProbaColor

    public static java.awt.Color getProbaColor(double d)

  Parameters:
    `d` -
  Returns:

### getProbaColor

    public static java.awt.Color getProbaColor(double d,
                                               double thresh)

  Parameters:
    `d` -
  Returns:

### initProbaPalette

    public static void initProbaPalette()

### initQTLPalette

    public static void initQTLPalette()

### initQTLPalette

    public static void initQTLPalette(int n)

### initPalettes

    public static void initPalettes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD